#!/bin/bash

# declare -a hs=(32 64 128)
declare -a penalty=(1 0.1 0.01 0.001)
declare -a approximation_modes=("original" "laser" "ser")

for am in ${approximation_modes[@]}
do
    for p in ${penalty}
    do
        echo "Running Probing on ${am} bert with penalty ${p}"
        python whic.py --device cuda:1 --batchsize 256 --approximation ${am} --hidden_size 256 --penalty ${p}
    done
done